#ifndef _CTILEMAP_H_
#define _CTILEMAP_H_

#include "renderer/graphics.h" 

#define LEVEL_WIDTH  	(100)
#define LEVEL_HEIGHT 	(100)
#define NUM_TILES 		(144)

//Level info
class CTileMap
{
	
	int m_x;
	int m_y;
	unsigned int m_ImgWidth;
	unsigned int m_NumTiles;
	unsigned int m_TileWidth;
	unsigned int m_NumTilesH;
	unsigned int m_NumTilesV;	
	unsigned int m_ShiftAmt;
	unsigned int m_Map[LEVEL_WIDTH][LEVEL_HEIGHT];
	unsigned int m_Tilelist_u[NUM_TILES];
	unsigned int m_Tilelist_v[NUM_TILES];
	
	public:
	
	Image *m_Img;
	Image *swiz;
	
	CTileMap();
	~CTileMap();
	int Init(char *_filename, unsigned int _tilesPerSide);
	int LoadLayout(char *_filename);
	int SetPos(int _x, int _y);
	int Move(int _deltaX, int _deltay);
	int Render();
	int RenderBigTiles();
	
};




#endif
