#ifndef _RENDERER_H_
#define _RENDERER_H_

#include <psptypes.h>

#define BUF_WIDTH (512)
#define SCREEN_WIDTH 480
#define SCREEN_HEIGHT 272

#define	PSP_LINE_SIZE 512
#define FRAMEBUFFER_SIZE (PSP_LINE_SIZE*SCREEN_HEIGHT*4)

class texture
{
public:

	int textureWidth;  // the real width of data, 2^n with n>=0
	int textureHeight;  // the real height of data, 2^n with n>=0
	int imageWidth;  // the image width
	int imageHeight;
	u32* data;
	
	int load();
};


class CRenderer
{
public:
	int dispBufferNumber;
	int initialized;
	
	int Init();
	int StartFrame();
	int EndFrame();
	void StartGU();
};


#endif
