#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "../Maths/vec2f.h"
#include "Playfield.h"

class CPlayer
{
public:
	vec2f 	m_Pos, 
			m_Vel,
			m_LastVel,
			m_Speeds,
			m_HScale;
	int		m_PlayerNum,
			m_Score, 
			m_ScoreGamesWon,
			m_Intelligence;
			
	CPlayer();
	bool Init(int _playerNum, int _intelligence = 75);
	bool Update(CPlayfield &_field, float _ballY);	
	bool Render();
};


#endif
