#ifndef _VEC2F_H_
#define _VEC2F_H_

class vec2f
{
public:

	float x, y;

	vec2f();
	vec2f(float _nx, float _ny);

	void Set( float mx, float my );
	void Set( vec2f * _param );
	
vec2f operator+( vec2f &b ) 	{   return vec2f( x + b.x, y + b.y ); }
bool operator+=(vec2f &b)		{ 	x+=b.x; y+=b.y; return true;}
vec2f operator-( vec2f &b ) 	{   return vec2f( x - b.x, y - b.y ); }
bool operator-=(vec2f &b)		{ 	x-=b.x; y-=b.y; return true;}
void operator=(vec2f &b)		{ 	x=b.x; y=b.y;}
};


#endif
